Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class AICompare

    java.lang.Object
      org.hyperic.hq.autoinventory.AICompare

    public class AICompare

extends Object

A utility class to facilitate comparisons of AI value objects. This is used in determining if we should send a default scan or a runtime scan to the server. If nothing has changed, we don't send the report.

See Also:
  `ScanState.isSameState(org.hyperic.hq.autoinventory.ScanState)`, `RuntimeResourceReport.isSameReport(org.hyperic.hq.product.RuntimeResourceReport)`

Nested Class Summary
`static class` | `AICompare.ConfigDiff`

Method Summary
`static boolean` | `aIServiceTypesEqual(org.hyperic.hq.appdef.shared.AIServiceTypeValue[] serviceTypes1, org.hyperic.hq.appdef.shared.AIServiceTypeValue[] serviceTypes2)`
`static boolean` | `aiServiceTypesEqual(org.hyperic.hq.appdef.shared.AIServiceTypeValue s1, org.hyperic.hq.appdef.shared.AIServiceTypeValue s2)`
`static boolean` | `compareAIPlatforms(AIPlatformValue p1, AIPlatformValue p2)`
`static boolean` | `compareAIServers(Collection servers1, Collection servers2)`
`static boolean` | `compareAIServices(org.hyperic.hq.appdef.shared.AIServiceValue[] services1, org.hyperic.hq.appdef.shared.AIServiceValue[] services2)`
`static boolean` | `configSchemasEqual(byte[] c1, byte[] c2)`
`static AICompare.ConfigDiff` | `configsDiff(byte[] newConf, byte[] oldConf)`
`static boolean` | `configsEqual(byte[] c1, byte[] c2)`
`static boolean` | `measurementInfosEqual(byte[] m1, byte[] m2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compareAIPlatforms

    public static boolean compareAIPlatforms(AIPlatformValue p1,
                                             AIPlatformValue p2)

### compareAIServers

    public static boolean compareAIServers(Collection servers1,
                                           Collection servers2)

### compareAIServices

    public static boolean compareAIServices(org.hyperic.hq.appdef.shared.AIServiceValue[] services1,
                                            org.hyperic.hq.appdef.shared.AIServiceValue[] services2)

### aIServiceTypesEqual

    public static boolean aIServiceTypesEqual(org.hyperic.hq.appdef.shared.AIServiceTypeValue[] serviceTypes1,
                                              org.hyperic.hq.appdef.shared.AIServiceTypeValue[] serviceTypes2)

### aiServiceTypesEqual

    public static boolean aiServiceTypesEqual(org.hyperic.hq.appdef.shared.AIServiceTypeValue s1,
                                              org.hyperic.hq.appdef.shared.AIServiceTypeValue s2)

### measurementInfosEqual

    public static boolean measurementInfosEqual(byte[] m1,
                                                byte[] m2)

### configSchemasEqual

    public static boolean configSchemasEqual(byte[] c1,
                                             byte[] c2)

### configsEqual

    public static boolean configsEqual(byte[] c1,
                                       byte[] c2)

### configsDiff

    public static AICompare.ConfigDiff configsDiff(byte[] newConf,
                                                   byte[] oldConf)
                                            throws org.hyperic.util.config.EncodingException

  Throws:
    `org.hyperic.util.config.EncodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.